%define real_name DBD-mysql
%define real_version 3.0007
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)
%define with_ssl 1

Summary: DBD Mysql perl Emulation Layer
Name: perl-dbd-mysql
Version: 3.00.07
Release: 1tr
Source:	ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/DBD/%{real_name}-%{real_version}.tar.gz
License: GPL
Group: Trustix Official
Requires: perl >= %{perl_version}, mysql-libs >= 3.23, perl-dbi
BuildRequires: perl >= %{perl_version}
BuildRequires: mysql-devel >= 3.23, perl-dbi
BuildRequires: zlib-devel
%if %{with_ssl}
Requires:   openssl
BuildRequires: openssl-devel
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
DBD::mysql is an interface driver for connecting the DBMS independent
Perl-API DBI to the mysql DBMS. When you want to use mysql from
within perl, DBI and DBD::mysql are your best choice: Unlike "mysqlperl",
another option, this is based on a common standard, so your sources
will easily be portable to other DBMS's.


%prep
%setup -q -n %{real_name}-%{real_version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=site \
%if %{with_ssl}
    --ssl
%endif
    
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%defattr(-,root,root,0755)
%doc README ChangeLog
%{siteperl}/i586-linux-thread-multi/Bundle/DBD/*.pm
%{siteperl}/i586-linux-thread-multi/DBD/*.pm
%{siteperl}/i586-linux-thread-multi/DBD/mysql
%{siteperl}/i586-linux-thread-multi/Mysql
%{siteperl}/i586-linux-thread-multi/*.pm
%{siteperl}/i586-linux-thread-multi/auto/DBD/
%{_mandir}/man3/*


%changelog
* Mon Sep 11 2006 Nived Gopalan <nived at trustix dot org> 3.00.07-1tr
- New Upstream.
- Includes fix for Bug #1929.

* Thu Jun 15 2006 Nived Gopalan <nived at trustix dot org> 3.00.06-1tr
- New Upstream.
- Fixed directory permissions, Bug #1697.

* Fri Apr 07 2006 Nived Gopalan <nived at trustix dot org> 3.00.02-1tr
- Moved to Trustix official.

* Thu Jul 21 2005 Nived Gopalan <nived at comodo dot com> 3.00.02-1ni
- New upstream
- Fix to ensure MYSQL_BIND is only defined when mysql client version is >= 4.1.3.

* Mon Jul 11 2005 Nived Gopalan <nived at comodo dot com> 3.00.01-1ni
- New upstream

* Mon Jul  4 2005 Nived Gopalan <nived at comodo dot com> 3.00.00-1ni
- New upstream

* Wed Jun 29 2005 Nived Gopalan <nived at comodo dot com> 2.90.08-1ni
- New upstream

* Wed Jun  1 2005 Hasher J <hasher at comodo dot com> 2.9007-1hr
- New ustream.

* Thu Oct  7 2004 Nageswara Sastry <nageswara at comodo dot com>
- Rebuild for TSL-2.2

* Fri Aug 20 2004 Nageswara Sastry <nageswara at comodo dot com>
- Upgraded to version 2.9004

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Mon Oct 13 2003 Goetz Bock <bg at tawie dot org> 2.90.02-3bg
- rebuild, small specfile cleanup

* Wed Oct  1 2003 Goetz Bock <bock at trustix dot org> 2.90.02-2bg
- build for TSL 2.0 (aka Cloud) - Contrib
- prepared for further splitings

* Tue Jul 29 2003 Goetz Bock <bock at trustix dot org> 2.90.02-1bg
- new upstream: DBI-mysql-2.9002

* Thu Feb 20 2003 Goetz Bock <bock@trustix.org> 1.22_19-1bg
- build for TSL2.0 based on Mandrake package

